Skip to content

办公室新Workstation的ubuntu上自己安装Abaqus2017的一些记录

办公室新Workstation的ubuntu上自己安装Abaqus2017的一些记录 published on No Comments on 办公室新Workstation的ubuntu上自己安装Abaqus2017的一些记录

1. 从别处拷过来的安装包,在拷贝过程中可能权限被修改导致无法运行,直接简单粗暴
chmod -R +x *
然后修改所有的Linux.sh
DSY_OS_Release="CentOS"
或者直接用命令
find . -name "Linux.sh" | sudo xargs sed -i 's/export DSY_OS_Release=${DSY_OS_Release}/export DSY_OS_Release=CentOS/g'

2. 运行./StartGUI.sh安装,如果出现错误
error while loading shared libraries: libXm.so.4: cannot open shared object file: No such file or directory
则安装
install libmotif-dev

3. 先安装service(solver),再安装cae

4. 如果安装cae的过程中无法链接license server
安装flexnet
/opt/SIMULIA/License/2017/linux_a64/code/bin/lmutil lmdiag -c 27008@flexnet
ref: http://www.harrisgeospatial.com/Support/SelfHelpTools/HelpArticles/HelpArticles-Detail/TabId/2718/ArtMID/10220/ArticleID/19294/3246.aspx

5. 运行cae的时候
X Error: code 2 major 154 minor 3: BadValue (integer parameter out of range for operation).
虽然没太大影响,总是看的不爽

"
I had a similar issue when running some GL applications via 'ssh -X' and solved it by adding "+iglx" to xserver-command in /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf.

# Dump core
xserver-command=X -core +iglx
After which you either reboot or Ctrl-Alt-F1, login, and 'sudo service lightdm restart'.
"

ref: https://polymerfem.com/forum/finite-element-modeling/computer-software-aa/3288-glx-error-when-launching-abaqus-on-debian

6. 这步不需要,仅作为记录
file ****
ln -s /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3

另:
如果安装了CUDA,会导致编译很多软件出现locale error stray *** in program等问题。去掉环境变量即可

7. 对于ansys workbench,会出现Unable to resolve function glXMakeCurrent等等,参考
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/589250

sudo ln -s /usr/lib/nvidia-384/libGL.so.384.98 /usr/lib/libGL.so.1

Leave a Reply

Your email address will not be published. Required fields are marked *